// SVXConverterSubWin.cpp : implementation file
//

#include "stdafx.h"
#include "SVXConverter.h"
#include "SVXConverterSubWin.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSVXConverterSubWin dialog

CSVXConverterSubWin::CSVXConverterSubWin(char * title, char * text, char ** list, int nlist, int numtoomany, int * selected, CWnd* pParent /*=NULL*/)
	: CDialog(CSVXConverterSubWin::IDD, pParent), _title(title), _text(text), _list(list), _nlist(nlist), _numtoomany(numtoomany), _selected(selected)
{}

void CSVXConverterSubWin::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSVXConverterSubWin)
	DDX_Control(pDX, IDC_SELCNT, m_selcnt);
	DDX_Control(pDX, IDC_TEXT, m_text);
	DDX_Control(pDX, IDC_LIST, m_list);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSVXConverterSubWin, CDialog)
	//{{AFX_MSG_MAP(CSVXConverterSubWin)
	ON_LBN_SELCHANGE(IDC_LIST, OnSelchangeList)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSVXConverterSubWin message handlers

void CSVXConverterSubWin::OnOK() 
{
	// get selection
	m_list.GetSelItems(_numtoomany, _selected);

	CDialog::OnOK();
}

void CSVXConverterSubWin::OnCancel() 
{
	CDialog::OnCancel();
}

BOOL CSVXConverterSubWin::OnInitDialog() 
{
	CDialog::OnInitDialog();

	// create a string like "numSelected/numToSelect"
	char selcnt [5] = {'0', '/', 0, 0, 0};
	_itoa(_numtoomany, selcnt+2, 10);

	SetWindowText(_title);
	SetDlgItemText(IDC_TEXT, _text);
	SetDlgItemText(IDC_SELCNT, selcnt);
	for (int i = 0; i < _nlist; ++i) m_list.AddString(_list[i]);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CSVXConverterSubWin::OnSelchangeList() 
{
	// only activate the OK button if the selected number of items equals
	// the number of surplus towns/industries
	if (m_list.GetSelCount() == _numtoomany)
		GetDlgItem(IDOK)->EnableWindow(TRUE);
	else
		GetDlgItem(IDOK)->EnableWindow(FALSE);

	// create a string like "numSelected/numToSelect"
	char selcnt [7];
	_itoa(m_list.GetSelCount(), selcnt, 10);
	char * pc = selcnt;
	while (*(++pc));
	*pc = '/';
	_itoa(_numtoomany, pc+1, 10);
	
	SetDlgItemText(IDC_SELCNT, selcnt);
}
